#include "thematiquefieldwidget.h"
#include <QHBoxLayout>
#include <QDialog>
#include <QSqlQuery>
#include <QTreeWidget>

ThematiqueFieldWidget::ThematiqueFieldWidget(QWidget *parent):
        AbstractFieldWidget(parent)
{
    mLineEdit = new QLineEdit;
    mToolButton = new QToolButton;
    mToolButton->setIcon(QIcon(":/icons/small/search.png"));

    QHBoxLayout * layout = new QHBoxLayout;
    layout->addWidget(mLineEdit);
    layout->addWidget(mToolButton);
    QWidget * mainWidget= new QWidget;
    mainWidget->setLayout(layout);
    setWidget(mainWidget);
    connect(mToolButton,SIGNAL(clicked()),this,SLOT(showThematiquesList()));
}
void ThematiqueFieldWidget::setValue(QVariant value)
{
mLineEdit->setText(value.toString());
}

QVariant ThematiqueFieldWidget::value()
{
    qDebug()<<mThematiques;
return mThematiques;
}
void ThematiqueFieldWidget::showThematiquesList()
{

    QDialog * dialog = new QDialog;
    QVBoxLayout * layout = new QVBoxLayout;
    dialog->setLayout(layout);
    QTreeWidget * list = new QTreeWidget;
    list->clear();
    list->setColumnCount(2);
    QStringList headerLabel;
    headerLabel<<"cnu"<<"nom";
    list->setHeaderLabels(headerLabel);
    QSqlQuery query("select * from thematiques");

    while (query.next()) {
        QString id = query.value(0).toString(); //id
        QString cnu = query.value(1).toString(); //cnu
        QString nom = query.value(2).toString(); //thematique

        QTreeWidgetItem * item = new QTreeWidgetItem;
        item->setData(0,Qt::UserRole,id);
        item->setText(0,cnu);
        item->setText(1,nom);
        list->addTopLevelItem(item);
    }


    layout->addWidget(list);

    dialog->exec();

    mThematiques.clear();
    foreach (QTreeWidgetItem * item, list->selectedItems())
    {
        mThematiques+=item->text(1)+",";
    }

    mThematiques = mThematiques.remove(mThematiques.length()-1,1);
    setValue(mThematiques);



    emit changed();

}
